libzypp 17.37.10

zypp::Product::UrlList Class Reference

Helper to iterate a products URL lists. More...

`#include <zypp/Product.h>`

## Public Types
using | value_type = ListType::value_type
using | size_type = ListType::size_type
using | const_iterator = ListType::const_iterator

## Public Member Functions
bool | empty () const
size_type | size () const
const_iterator | begin () const
const_iterator | end () const
Url | first () const
| The first Url or an empty Url.
std::string | key () const
| The key used to retrieve this list (for debug)

## Private Types
using | ListType = std::list<Url>

## Private Attributes
std::string | _key
| Change to directly iterate the .solv.
ListType | _list

## Friends
class | Product

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const Product::UrlList &obj)
| Stream output.

## Detailed Description

Helper to iterate a products URL lists.

first is a convenience for 'lists' with just one entry (e.g. releaseNotesUrls)

Definition at line 209 of file Product.h.

## Member Typedef Documentation

## ◆ ListType

using zypp::Product::UrlList::ListType = std::list<Url>
| private

Todo
  Change to directly iterate the .solv

Definition at line 213 of file Product.h.

## ◆ value_type

using zypp::Product::UrlList::value_type = ListType::value_type

Definition at line 216 of file Product.h.

## ◆ size_type

using zypp::Product::UrlList::size_type = ListType::size_type

Definition at line 217 of file Product.h.

## ◆ const_iterator

using zypp::Product::UrlList::const_iterator = ListType::const_iterator

Definition at line 218 of file Product.h.

## Member Function Documentation

## ◆ empty()

bool zypp::Product::UrlList::empty | ( |  | ) | const
| inline

Definition at line 220 of file Product.h.

## ◆ size()

size_type zypp::Product::UrlList::size | ( |  | ) | const
| inline

Definition at line 223 of file Product.h.

## ◆ begin()

const_iterator zypp::Product::UrlList::begin | ( |  | ) | const
| inline

Definition at line 226 of file Product.h.

## ◆ end()

const_iterator zypp::Product::UrlList::end | ( |  | ) | const
| inline

Definition at line 229 of file Product.h.

## ◆ first()

Url zypp::Product::UrlList::first | ( |  | ) | const
| inline

The first Url or an empty Url.

Definition at line 233 of file Product.h.

## ◆ key()

std::string zypp::Product::UrlList::key | ( |  | ) | const
| inline

The key used to retrieve this list (for debug)

Definition at line 238 of file Product.h.

## Friends And Related Symbol Documentation

## ◆ Product

friend class Product
| friend

Definition at line 242 of file Product.h.

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Product::UrlList & | obj )
| related

Stream output.

Definition at line 290 of file Product.cc.

## Member Data Documentation

## ◆ _key

std::string zypp::Product::UrlList::_key
| private

Change to directly iterate the .solv.

Definition at line 244 of file Product.h.

## ◆ _list

ListType zypp::Product::UrlList::_list
| private

Definition at line 245 of file Product.h.

The documentation for this class was generated from the following file:

- zypp/Product.h